# Authentication

The Attuitive API uses API Keys to authenticate requests. These can be managed via the [Attuitive Console](https://console.attuitive.com/app/settings/api-keys).

API keys have a prefix of `sk_`. They are sensitive values that allow access to  your workspace. Do **not** share them publicly such as in code repositories or client-side code.

All requests should be made over HTTPS. Insecure connections, or un-authenticated requests will rejected.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://tristans-organization-4.gitbook.io/attuitive/api-reference/authentication.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
